#!/bin/sh

# patches the make environment to point to the install location

SKY_INSTALL_ROOT=$1
SKY_TARGET_ROOT=$2

if [ "x${SKY_INSTALL_ROOT}" = "x" ]; then
  echo "usage: $0 <INSTALL_ROOT> <TARGET_ROOT>"
  exit 2;
fi
if [ "x${SKY_TARGET_ROOT}" = "x" ]; then
  echo "usage: $0 <INSTALL_ROOT> <TARGET_ROOT>"
  exit 3;
fi

# ----- patch GNUstep.sh for prefix location (/opt/skyrix/skyrix42d)

mv ${SKY_INSTALL_ROOT}/Makefiles/GNUstep.sh \
   ${SKY_INSTALL_ROOT}/Makefiles/GNUstep.sh.build

sed "s|${SKY_INSTALL_ROOT}|${SKY_TARGET_ROOT}|g" \
    <${SKY_INSTALL_ROOT}/Makefiles/GNUstep.sh.build \
    >${SKY_INSTALL_ROOT}/Makefiles/GNUstep.sh
